Package org.eclipse.mat.internal.snapshot.inspections

# Class CompareTablesQuery.TableComparisonResult

java.lang.Object
org.eclipse.mat.internal.snapshot.inspections.CompareTablesQuery.TableComparisonResult

All Implemented Interfaces:
  `IIconProvider`, `IResult`, `IStructuredResult`

Direct Known Subclasses:
  `CompareTablesQuery.ComparisonResultTable`, `CompareTablesQuery.ComparisonResultTree`

Enclosing class:
  CompareTablesQuery

public class CompareTablesQuery.TableComparisonResult extends Object implements IStructuredResult, IIconProvider

## Field Summary

### Fields inherited from interface org.eclipse.mat.query.IIconProvider

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`TableComparisonResult(List<org.eclipse.mat.internal.snapshot.inspections.CompareTablesQuery.ComparedRow> rows, Column key, List<CompareTablesQuery.ComparedColumn> comparedColumns, CompareTablesQuery.Mode mode, CompareTablesQuery.Operation setOp)`

## Method Summary

Modifier and Type
Method
Description
`Column[]`
`getColumns()`
The columns of the tree or table.
`Object`
`getColumnValue(Object row, int columnIndex)`
Returns the (unformatted) value of a table/tree cell.
`List<CompareTablesQuery.ComparedColumn>`
`getComparedColumns()`
`IContextObject`
`getContext(Object row)`
The default context of the row which is used to display information in the object inspector.
`URL`
`getIcon(Object row)`
Get the icon for the row.
`CompareTablesQuery.Mode`
`getMode()`
`CompareTablesQuery.Operation`
`getOperation()`
`ResultMetaData`
`getResultMetaData()`
(Optionally) Return meta data of the result needed to fine-tune the display of the result.
`void`
`setComparedColumns(List<CompareTablesQuery.ComparedColumn> comparedColumns)`
`void`
`setMode(CompareTablesQuery.Mode mode)`
`void`
`setOperation(CompareTablesQuery.Operation op)`
`void`
`updateColumns()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TableComparisonResult

public TableComparisonResult(List<org.eclipse.mat.internal.snapshot.inspections.CompareTablesQuery.ComparedRow> rows, Column key, List<CompareTablesQuery.ComparedColumn> comparedColumns, CompareTablesQuery.Mode mode, CompareTablesQuery.Operation setOp)

## Method Details

### getComparedColumns

public List<CompareTablesQuery.ComparedColumn> getComparedColumns()

### setComparedColumns

public void setComparedColumns(List<CompareTablesQuery.ComparedColumn> comparedColumns)

### getColumnValue

public Object getColumnValue(Object row, int columnIndex)
Description copied from interface: `IStructuredResult`
Returns the (unformatted) value of a table/tree cell.

Specified by:
  `getColumnValue` in interface `IStructuredResult`
Parameters:
  `row` - The row object as returned by the `IResultTable.getRow(int)` or `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods
  `columnIndex` - The index of the column.
Returns:
  the cell value

### getColumns

public Column[] getColumns()
Description copied from interface: `IStructuredResult`
The columns of the tree or table.

Specified by:
  `getColumns` in interface `IStructuredResult`
Returns:
  an array of all the columns

### getContext

public IContextObject getContext(Object row)
Description copied from interface: `IStructuredResult`
The default context of the row which is used to display information in the object inspector. Unless no context provider is given via the `ResultMetaData`, it is also used for the context menu on a row.

Specified by:
  `getContext` in interface `IStructuredResult`
Parameters:
  `row` - The row object as returned by the `IResultTable.getRow(int)` or `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods.
Returns:
  a context object holding details about that row

### getResultMetaData

public ResultMetaData getResultMetaData()
Description copied from interface: `IResult`
(Optionally) Return meta data of the result needed to fine-tune the display of the result. This could include an additional context, an additional query to run on selected data from the result , additional calculated columns, or an indication that the results are already presorted.

Specified by:
  `getResultMetaData` in interface `IResult`
Returns:
  the metadata for the result, used to obtain extra data

### getIcon

public URL getIcon(Object row)
Get the icon for the row. Chose the icon from the underlying tables if they all agree, others choose a special compare icon.

Specified by:
  `getIcon` in interface `IIconProvider`

### getMode

public CompareTablesQuery.Mode getMode()

### setMode

public void setMode(CompareTablesQuery.Mode mode)

### getOperation

public CompareTablesQuery.Operation getOperation()

### setOperation

public void setOperation(CompareTablesQuery.Operation op)

### updateColumns

public void updateColumns()